{application,cluster_worker,
    [{description,"Application starts node of oneprovider cluster"},
     {vsn,"3.0.0-beta3"},
     {registered,[cluster_worker_sup]},
     {applications,
         [kernel,stdlib,os_mon,sasl,public_key,crypto,ssl,meck,ctool,lager,
          hackney,cowboy,worker_pool,exometer_core,exometer_lager,
          exometer_graphite]},
     {mod,{cluster_worker_app,[]}},
     {env,
         [{external_ip,undefined},
          {monitoring_log_file,"./log/node_manager_monitoring.log"},
          {throttling_log_file,"./log/throttling_monitoring.log"},
          {heartbeat_interval,500},
          {heartbeat_registered_interval,30000},
          {cm_connection_retry_period,1000},
          {worker_load_memory_size,1000},
          {node_mem_ratio_to_clear_cache,90},
          {throttling_reduce_idle_time_memory_proc_number,2000},
          {throttling_min_idle_time_memory_proc_number,10000},
          {throttling_active_check_interval_seconds,1},
          {throttling_check_interval_seconds,2},
          {spawn_throttling_config,false},
          {throttling_config,
              [{import,
                   [{base_time_ms,40960},
                    {strength,50},
                    {db_queue_max_expected,4000},
                    {tp_size_sum_expected,30000}]},
               {default,
                   [{base_time_ms,40960},
                    {strength,20},
                    {tp_param_strength,1},
                    {db_max_param_strength,1},
                    {flush_queue_param_strength,1},
                    {db_sum_param_strength,0},
                    {tp_size_sum_param_strength,1},
                    {mem_param_strength,0},
                    {tp_proc_expected,20000},
                    {tp_proc_limit,40000},
                    {db_queue_max_expected,8000},
                    {db_queue_max_limit,20000},
                    {db_flush_queue_expected,200000},
                    {db_flush_queue_limit,500000},
                    {db_queue_sum_expected,40000},
                    {db_queue_sum_limit,100000},
                    {tp_size_sum_expected,500000},
                    {tp_size_sum_limit,1000000},
                    {memory_expected,90},
                    {memory_limit,95}]}]},
          {tp_subtrees_number,20},
          {aggregate_tp,true},
          {tp_space_size,2000},
          {tp_gc,off},
          {node_mem_analysis_treshold,2000000000},
          {procs_num_analysis_treshold,20000},
          {min_analysis_interval_sek,10},
          {max_analysis_interval_min,15},
          {schedulers_monitoring,false},
          {task_fail_min_sleep_time_ms,3000},
          {task_fail_max_sleep_time_ms,30000},
          {task_repeats,3},
          {clear_cache_max_period_ms,86400},
          {check_mem_interval_minutes,1},
          {covered_dirs,[]},
          {covered_excluded_modules,[]},
          {cache_to_disk_delay_ms,3000},
          {cache_to_disk_force_delay_ms,5000},
          {memory_store_idle_timeout_ms,30000},
          {memory_store_min_idle_timeout_ms,100},
          {task_checking_period_minutes,5},
          {changes_max_heap_size_words,33554432},
          {memory_check_interval_seconds,300},
          {datastore_config_plugin,datastore_config_plugin_default},
          {node_manager_plugin,node_manager_plugin_default},
          {http_nagios_port,80},
          {http_number_of_acceptors,100},
          {http_max_keepalive,30},
          {http_request_timeout,30000},
          {nagios_caching_time,1000},
          {nagios_healthcheck_timeout,30000},
          {disp_out_of_sync_threshold,60000},
          {datastore_links_tree_order,1024},
          {tp_processes_limit,250000},
          {datastore_cache_size,[{memory,50000},{disc,50000}]},
          {couchbase_config_total_timeout,30000},
          {couchbase_pool_operation_timeout,1800000},
          {couchbase_operation_timeout,60000},
          {couchbase_view_timeout,120000},
          {couchbase_durability_interval,500},
          {couchbase_durability_timeout,300000},
          {couchbase_http_timeout,60000},
          {couchbase_pool_size,[{'_',[{read,5},{write,20},{changes,3}]}]},
          {couchbase_pool_min_batch_size,250},
          {couchbase_pool_batch_size,1000},
          {couchbase_pool_max_batch_size,2000},
          {couchbase_changes_batch_size,200},
          {couchbase_changes_update_interval,1000},
          {couchbase_changes_stream_batch_size,200},
          {couchbase_changes_stream_update_interval,1000},
          {couchbase_pool_gc,off},
          {cberl_instance_scope,mode},
          {couchbase_pool_worker_algorithm,{big_limited_batch,10,104857600}},
          {tp_fast_flush,on},
          {wait_durable,false},
          {flush_key_cooldown_sec,3},
          {tp_active_mem_sek,5},
          {max_key_tp_mem,100},
          {cache_fold_token,true},
          {fold_cache_timeout,30000},
          {document_expiry,1209600},
          {link_disk_expiry,1209600},
          {link_memory_expiry,5},
          {graph_sync_websocket_keepalive,30000},
          {graph_sync_client_handshake_timeout,10000},
          {graph_sync_client_request_timeout,30000},
          {counter_name_prefixes,[comp,cluster_worker]},
          {exometer_logging_interval,15000},
          {exometer_check_interval_seconds,60000},
          {excluded_exometer_counters,[]},
          {exometer_lager_reporter,false},
          {exometer_logging_level,debug},
          {exometer_data_points_number,100},
          {integrate_with_graphite,false},
          {graphite_host,"172.17.0.2"},
          {graphite_port,2003},
          {graphite_api_key,<<"example_key">>},
          {graphite_prefix,<<"onedata">>},
          {graphite_connect_timeout,5000}]},
     {modules,
         [bounded_cache,cluster_generation,cluster_worker_app,
          cluster_worker_specs,cluster_worker_sup,couchbase_batch,
          couchbase_changes,couchbase_changes_stream,
          couchbase_changes_stream_sup,couchbase_changes_sup,
          couchbase_changes_worker,couchbase_changes_worker_gc,
          couchbase_config,couchbase_crud,couchbase_driver,couchbase_pool,
          couchbase_pool_sup,couchbase_pool_worker,couchbase_view,
          critical_section,datastore,datastore_cache,datastore_cache_manager,
          datastore_cache_writer,datastore_config,datastore_disc_writer,
          datastore_doc,datastore_doc_batch,datastore_hooks,datastore_json,
          datastore_key,datastore_links,datastore_links_crud,
          datastore_links_iter,datastore_links_mask,datastore_model,
          datastore_model_default,datastore_multiplier,datastore_rev,
          datastore_router,datastore_throttling,datastore_versions,
          datastore_worker,datastore_writer,ets_driver,exometer_utils,
          graph_sync_test_utils,gs_client,gs_logic_plugin_behaviour,
          gs_persistence,gs_protocol,gs_server,gs_session,gs_subscription,
          gs_translator_behaviour,gs_ws_handler,ha_datastore,
          ha_datastore_master,ha_datastore_slave,links_forest,links_mask,
          links_mask_root,links_node,links_tree,lock,main_worker_sup,
          mnesia_driver,nagios_handler,nagios_listener,node_management,
          node_manager,node_manager_plugin_default,performance_test_record,
          plugins,remote_driver,request_dispatcher,task_manager,task_pool,tp,
          tp_router,tp_server,tp_subtree_supervisor,transaction,traverse,
          traverse_behaviour,traverse_task,traverse_task_list,
          traverse_tasks_scheduler,view_traverse,view_traverse_job,
          worker_host,worker_host_sup,worker_plugin_behaviour,worker_pool,
          worker_proxy]}]}.
