{application,ctool,
    [{description,"Common tools lib for onedata project"},
     {vsn,"3.0.0-beta3"},
     {registered,[]},
     {applications,
         [crypto,asn1,public_key,ssl,hackney,kernel,stdlib,lager,gen_smtp]},
     {env,
         [{current_loglevel,1},
          {default_loglevel,1},
          {include_stacktrace,true},
          {force_insecure_connections,false},
          {max_token_size,1048576},
          {compatibility_registry_path,"./etc/compatibility.json"},
          {default_compatibility_registry,"./data/compatibility.default.json"},
          {compatibility_registry_mirrors,
              ["https://onedata.org/docs/doc/compatibility_reference/compatibility.json",
               "https://raw.githubusercontent.com/onedata/onedata-documentation/master/doc/compatibility_reference/compatibility.json"]},
          {compatibility_registry_cache_ttl,900},
          {maxmind_licence_key,undefined},
          {geo_db_path,
              #{asn => "./etc/geo-db/geo-db-asn.tar.gz",
                country => "./etc/geo-db/geo-db-country.tar.gz"}},
          {geo_db_status_path,"./etc/geo-db/geo-db-status.json"},
          {geo_db_mirror,
              #{asn =>
                    "https://download.maxmind.com/app/geoip_download?edition_id=GeoLite2-ASN&suffix=tar.gz",
                country =>
                    "https://download.maxmind.com/app/geoip_download?edition_id=GeoLite2-Country&suffix=tar.gz"}},
          {geo_db_refresh_period_days,3},
          {geo_db_refresh_backoff_secs,43200}]},
     {modules,
         [aai,api_auth,available_memory,base62,caveats,cert_utils,chash,
          compatibility,consistent_hashing,cth_env_up,cth_logger,cth_mock,
          cth_posthook,ctool,cv_api,cv_interface,data_access_caveats,errors,
          file_id,file_utils,filepath_utils,geo_db,gri,hamcrest,hex_utils,
          http_client,http_port_forwarder,http_utils,ip_utils,json_parser,
          json_utils,kv_utils,listener_behaviour,lists_utils,load_balancing,
          logger,maps_utils,mochitemp,mochiweb_base64url,mock_manager,
          monitoring,onedata,onedata_passwords,oz_endpoint,oz_groups,
          oz_handle_services,oz_handles,oz_plugin_behaviour,oz_providers,
          oz_runner,oz_shares,oz_spaces,pbkdf2,performance,privileges,
          rebar_git_plugin,secure_ssl_opts,simple_cache,smtp_client,
          space_support,ssl_utils,str_utils,sync,test_node_starter,test_utils,
          time_utils,token_type,tokens,tracer,transport_opts,url_utils,utils,
          websocket_client,websocket_client_handler_behaviour,websocket_req,
          xdrlib]}]}.
